Groundeddocs
ReferenceAdmin

What uses each model and embedding profile (platform admins and auditors)

GET/v1/admin/catalog-usage

For each model, the agents whose published version or draft uses it as the chat model, the embedding profiles on it, the moderation policies that use it and whether SystemOne does; for each embedding profile, the data sources (team and shared) and knowledge bases on it.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/catalog-usage"
{  "data": {    "models": [      {        "modelId": "17563eeb-82d7-4210-ac9b-1a20c7d67278",        "publishedAgents": 0,        "draftAgents": 0,        "profiles": 0,        "moderationAudiences": [          "team"        ],        "systemOne": true      }    ],    "profiles": [      {        "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",        "sources": 0,        "knowledgeBases": 0      }    ]  }}